# Signup Notices ## `GET /api/guilds/{guild_id}/signup-notices` **ListSignupNotices** **Parameters** | Name | In | Type | Required | Description | |---|---|---|---|---| | `guild_id` | path | integer | yes | | **Response `200` — Request fulfilled, document follows** Model: {ref}`SignupNoticesPage ` | Field | Type | Required | Description | |---|---|---|---| | `pending` | array of {ref}`SignupNoticeCandidate ` | yes | | | `resolved` | array of {ref}`SignupNoticeResolution ` | yes | | ## `POST /api/guilds/{guild_id}/signup-notices/{member_id}/ack` **AckSignupNotice** **Parameters** | Name | In | Type | Required | Description | |---|---|---|---|---| | `guild_id` | path | integer | yes | | | `member_id` | path | integer | yes | | **Request body** Model: {ref}`SignupNoticeAck ` | Field | Type | Required | Description | |---|---|---|---| | `channel_id` | integer | yes | | | `message_id` | integer | yes | | **Response `204`** — Request fulfilled, nothing follows ## `DELETE /api/guilds/{guild_id}/signup-notices/{member_id}/roster-confirmation` **UnconfirmFromNotice** **Parameters** | Name | In | Type | Required | Description | |---|---|---|---|---| | `guild_id` | path | integer | yes | | | `member_id` | path | integer | yes | | **Request body** Model: {ref}`ConfirmByDiscordRequest ` | Field | Type | Required | Description | |---|---|---|---| | `actor_discord_id` | string | yes | | | `actor_name` | string | yes | | **Response `200` — Request fulfilled, document follows** Model: {ref}`MemberListing ` | Field | Type | Required | Description | |---|---|---|---| | `id` | integer | yes | | | `username` | string | yes | | | `display_name` | string | yes | | | `avatar_url` | string \| null | yes | | | `is_guild_member` | boolean | yes | | | `is_officer` | boolean | yes | | | `battletag` | string \| null | yes | | | `roster_confirmed` | boolean | yes | | | `last_login_at` | string (date-time) \| null | yes | | ## `PUT /api/guilds/{guild_id}/signup-notices/{member_id}/roster-confirmation` **ConfirmFromNotice** **Parameters** | Name | In | Type | Required | Description | |---|---|---|---|---| | `guild_id` | path | integer | yes | | | `member_id` | path | integer | yes | | **Request body** Model: {ref}`ConfirmByDiscordRequest ` | Field | Type | Required | Description | |---|---|---|---| | `actor_discord_id` | string | yes | | | `actor_name` | string | yes | | **Response `200` — Request fulfilled, document follows** Model: {ref}`MemberListing ` | Field | Type | Required | Description | |---|---|---|---| | `id` | integer | yes | | | `username` | string | yes | | | `display_name` | string | yes | | | `avatar_url` | string \| null | yes | | | `is_guild_member` | boolean | yes | | | `is_officer` | boolean | yes | | | `battletag` | string \| null | yes | | | `roster_confirmed` | boolean | yes | | | `last_login_at` | string (date-time) \| null | yes | |